package com.ruoyi.xq.manager.systemconfig;

import cn.hutool.core.util.NumberUtil;
import com.ruoyi.common.utils.StringUtils;

import java.math.BigDecimal;

public class RateSystemConfigCheck implements ISystemConfigCheck {
    @Override
    public SystemCheckResp check(String value) {
        if(StringUtils.isEmpty(value)){
            return SystemCheckResp.fail("该配置必填");
        }
        boolean b = NumberUtil.isDouble(value);
        if(!b){
            return SystemCheckResp.fail("请填写[0-1)之间的数字，两位小数点");
        }
        BigDecimal bigDecimal = new BigDecimal(value);
        boolean in = NumberUtil.isIn(bigDecimal, BigDecimal.ZERO, BigDecimal.ONE);
        if(!in){
            return SystemCheckResp.fail("请填写[0-1)之间的数字，两位小数点");
        }
        if(bigDecimal.scale() > 2){
            return SystemCheckResp.fail("小数点位数只能配置两位");
        }
        return SystemCheckResp.ok();
    }
}
